org.apache.sis.referencing.gazetteer

## Enum GeohashReferenceSystem.Format

- Object
- - Enum<GeohashReferenceSystem.Format>
  - - GeohashReferenceSystem.Format

- All Implemented Interfaces:
    Serializable, Comparable<GeohashReferenceSystem.Format>
  Enclosing class:
    GeohashReferenceSystem

      public static enum GeohashReferenceSystem.Format
      extends Enum<GeohashReferenceSystem.Format>

  The encoding format used by `GeohashReferenceSystem​.Coder`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE32` Format consisting of 32 symbols used at `http://geohash​.org`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeohashReferenceSystem.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GeohashReferenceSystem.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE32

          public static final GeohashReferenceSystem.Format BASE32

      Format consisting of 32 symbols used at `http://geohash​.org`. This encoding uses digits 0 to 9, and lower-case letters `'b'` to `'z'` excluding `'i'`, `'l'` and `'o'`. Decoding is case-insensitive.

  - ### Method Detail

    - #### values

          public static GeohashReferenceSystem.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeohashReferenceSystem.Format c : GeohashReferenceSystem.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeohashReferenceSystem.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.